com.aliyun.player

## Enum IPlayer.OutputAudioChannel

- java.lang.Object
- - java.lang.Enum<IPlayer.OutputAudioChannel>
  - - com.aliyun.player.IPlayer.OutputAudioChannel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IPlayer.OutputAudioChannel>
  Enclosing interface:
    IPlayer

      public static enum IPlayer.OutputAudioChannel
      extends java.lang.Enum<IPlayer.OutputAudioChannel>

  set output audio channel, support left channel, right channel

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OUTPUT_AUDIO_CHANNEL_LEFT` Left audio channel
    `OUTPUT_AUDIO_CHANNEL_NONE` Not specified, default value
    `OUTPUT_AUDIO_CHANNEL_RIGHT` Right audio channel

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Query the value of the specified parameter.
    `static IPlayer.OutputAudioChannel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IPlayer.OutputAudioChannel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OUTPUT_AUDIO_CHANNEL_NONE

          public static final IPlayer.OutputAudioChannel OUTPUT_AUDIO_CHANNEL_NONE

      Not specified, default value

    - #### OUTPUT_AUDIO_CHANNEL_LEFT

          public static final IPlayer.OutputAudioChannel OUTPUT_AUDIO_CHANNEL_LEFT

      Left audio channel

    - #### OUTPUT_AUDIO_CHANNEL_RIGHT

          public static final IPlayer.OutputAudioChannel OUTPUT_AUDIO_CHANNEL_RIGHT

      Right audio channel

  - ### Method Detail

    - #### values

          public static IPlayer.OutputAudioChannel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IPlayer.OutputAudioChannel c : IPlayer.OutputAudioChannel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IPlayer.OutputAudioChannel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Query the value of the specified parameter.
      Returns:
        The returned value.